<template>
  <main id="app-support">
    <div class="title-block">
      <h1>
        <strong>{{ $gettext('PeerTube mobile application support') }}</strong>
      </h1>

      <div class="small-separator"></div>
    </div>

    <div class="jpt-container">
      <p>{{ $gettext('Use any of the below options to get in touch with the PeerTube team.') }}</p>

      <ul>
        <li>{{ $gettext('Report a bug: ') }} <a class="jpt-router-link" href="https://framagit.org/framasoft/peertube/mobile-application/-/issues" target="_blank">https://framagit.org/framasoft/peertube/mobile-application/-/issues</a></li>
        <li class="mt-2">{{ $gettext('Ask a question on our forum: ') }} <a class="jpt-router-link" href="https://framacolibri.org/c/peertube" target="_blank">https://framacolibri.org/c/peertube</a></li>
        <li class="mt-2">{{ $gettext('Contact Framasoft, the non-profit that develops PeerTube: ') }} <a class="jpt-router-link" href="mailto:rt+peertube-app@framasoft.org">rt+peertube-app@framasoft.org</a></li>
      </ul>
    </div>
  </main>
</template>

<script>
  import { defineComponent } from 'vue'

  import { useGettext } from 'vue3-gettext'
  import { useHead } from '@vueuse/head'

  import { buildHead } from '../shared/head'

  export default defineComponent({
    components: {
    },

    setup () {
      const { $gettext } = useGettext()

      return useHead(buildHead({
        title: $gettext('Mobile application support'),
        url: import.meta.env.VITE_URL + '/app-support',
        description: $gettext('Get support for the PeerTube mobile application')
      }))
    }
  })
</script>

<style lang="scss" scoped>
  @import '../scss/_variables.scss';
  @import '../scss/bootstrap-mixins.scss';

  #app-support {

  }

</style>
